
Application: gvSIG desktop - gvSIG bugs #5178
La exportación de DXF/DWG a SHP no se hace correctamente
12/04/2019 09:38 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Óscar Martínez
Category: Document view
Target version: 2.5.1-3015
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: 2930 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si exportamos un DXF o DWG a formato SHP, se crea un único fichero "NOMBRE"_surface.shp en disco, que además es de puntos,
y donde solo se han exportado los puntos del DXF/DWG.

Si en el último paso de la exportación le decimos que queremos añadir la capa resultante en la Vista añade la capa
"NOMBRE"_surface.shp tres veces (la capa de puntos).

Si por ejemplo hemos seleccionado líneas y exportado la selección, se crea un SHP de puntos vacío y se añade 3 veces en la Vista.

Adjunto log y dwg de ejemplo.

History
#1 - 12/12/2019 09:12 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3002 (No instala) to 2.5.1-3003 (rev. org.gvsig.desktop-2.0.261)

#2 - 12/20/2019 08:43 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3003 (rev. org.gvsig.desktop-2.0.261) to 2.5.1-3004

#3 - 03/04/2020 12:28 PM - Álvaro Anguix
- Target version changed from 2.5.1-3004 to 2.5.1-3044

#4 - 03/26/2020 01:38 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278)

#5 - 03/26/2020 01:58 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#6 - 04/13/2020 01:19 PM - Joaquín  del Cerro Murciano
- Assignee set to Óscar Martínez

#7 - 04/14/2020 02:26 PM - Óscar Martínez
- Status changed from New to Fixed

Parece que estaba solucionado el problema.
#8 - 04/14/2020 02:34 PM - Mario Carrera
- Status changed from Fixed to Closed

Funciona en el 3014

#9 - 04/14/2020 08:36 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278) to 2.5.1-3015

Files
gvSIG.log 435 KB 12/04/2019 Mario Carrera
QT89.dwg 157 KB 12/04/2019 Mario Carrera
